unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, IdIOHandler, IdIOHandlerSocket, IdIOHandlerStack, IdSSL,
  IdSSLOpenSSL, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    IdHTTP1: TIdHTTP;
    IdSSLIOHandlerSocketOpenSSL1: TIdSSLIOHandlerSocketOpenSSL;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure DispMsg(AMsg: string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  sUrl, sHtml: string;
begin

  try

    IdSSLIOHandlerSocketOpenSSL1.SSLOptions.Method := sslvSSLv23;
    // error:14094410:SSL routines:SSL3_READ_BYTES:sslv3 alert handshake failure
    // error:1409442E:SSL routines:SSL3_READ_BYTES:tlsv1 alert protocol version
    sUrl := 'https://4699a.com/v1/user/login';
    sHtml := IdHTTP1.Get(sUrl);

    DispMsg(sHtml);

  except
    on e: Exception do
    begin
      DispMsg(e.Message);
    end;
  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
end;

{ TForm1 }

procedure TForm1.DispMsg(AMsg: string);
begin
  Memo1.Lines.Add(AMsg);
end;

end.
